<div class="header-container">
    <div class="header-content">
        <div class="selectors">
            <button class="primary-btn" [disabled]="sorting" (click)="generateNewArray()">Generate New Array</button>
              <div class="range-selector">
                <span>Speed</span>
                <input type="range" min="0" max="150" value="145" class="slider" (input)="changeSpeed($event)">
            </div>
            <div class="range-algo-container">
                <div class="range-selector">
                    <span>Range</span>
                    <input [disabled]="sorting" type="range" min="2" max="160" value="50" class="slider" id="myRange" (input)="changeRange($event)">
                </div>
             
                <div class="algo-selector" appOutClick (outClick)="showSelectAlgo=false">
                    <span class="algo-selector-caption" (click)="showSelectAlgo = true">
                        <span>Alogrithms</span><mat-icon>keyboard_arrow_down</mat-icon>
                    </span>
                    <div class="algo-options" *ngIf="showSelectAlgo" >
                        <div class="algo-option" (click)="chnageAlog(algo)" *ngFor="let algo of algorithms">{{algo}}</div>
                    </div>
                </div>
            </div>
        </div>
        <div class="sort-theme-container">
            <button [disabled]="sorting" class="primary-btn sort-btn" (click)="sort()">{{selectedAlgorithm}}</button>
            <div class="toggle-theme" (click)="toggleTheme()">
                <div class="toggling" [ngClass]="!isDarkTheme()?'toggle':''">
                    <div class="theme-img">
                        <img class="moon" src="../../../assets/moon.svg">
                    </div>
                    <div class="theme-img">
                        <img src="../../../assets/sun.png">
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>